<%@ page import="com.synametrics.xeams.bean.*" %>
<%@ page import="java.util.*" %>




<%@ include file="PageHeader.jsp" %>
<%@ include file="SecondPageHeader.jsp" %>

<%

String version_Str  = (String)request.getAttribute("versionStr");
String serial_Num   = (String)request.getAttribute("serialNum");
String company_Name = (String)request.getAttribute("companyName");
String expiry_Date  = (String)request.getAttribute("expiryDate");
String supportPurchased = (String)request.getAttribute("supportPurchased");
String supportExpirationDate = (String)request.getAttribute("supportExpirationDate");
List<CostBean> costBeans = (List) request.getAttribute("costBeans");
%>

<!-- 
LAD: <%= request.getAttribute("lad") %>
 -->
<br>
<div class="row">
	<div class="col-md-7">

		<%@ include file="LicenseWarning.jsp" %>
		<div class="well-info-wrap">
			<div class="well-info-header">About <%= productName %></div>
			<div class="well-info-body">
				<h3 class="text-center"><%=version_Str%></h3>
				<div class="table-responsive">
					<table class="table table-striped table-condensed table-bordered">
						<tr>
							<td><b>Serial Number:</b></td>
							<td><%=serial_Num %> <span class="pull-right"><a href="<%=response.encodeURL("FrontController?operation=manreg") %>"><i class="glyphicon glyphicon-pencil"></i> Modify</a></span></td>
						</tr>
						
						
						<%
						if(request.getAttribute("tusf") != null){
							
							
							String title = "Purchase Now";
							String caption = "";
							String expStr = "";
							if(request.getAttribute("bt").equals("1")){
								caption = "Upgrade";
								title = "Upgrade to Professional Edition";
								if(request.getAttribute("texpd") != null){
									expStr = " - Trial expires on " + request.getAttribute("texpd");
								}
								
							}else if(request.getAttribute("bt").equals("2")){
								caption = "Renew Now";
								title = "Renew Contract for 1 year";
							}else if(request.getAttribute("bt").equals("3")){
								caption = "Add Users";
								title = "Purchase additional user licenses";
							}
							
							
							%>
							<tr>
								<td><b>Company Name:</b></td>
								<td><%=request.getAttribute("comn") %> </td>
							</tr>
							
							<tr>
								<td><b>Active User Count:</b></td>
								<td><%=request.getAttribute("tusf") %> of <%=request.getAttribute("puc") %> </td>
							</tr>
							<tr>
								<td><b>Expiration Date:</b></td>
								<td><%=request.getAttribute("expd") %> <%=expStr %></td>
							</tr>
							<tr>
								<td>
								
								</td>
								<td>
								<% 
								if(request.getAttribute("bt").equals("2")){
									if(request.getAttribute("pinvalid") == null){
									%>
									
									<form action="<%=request.getAttribute("purl") %>" method="Post">	
										<%
										for(int i = 0; i < costBeans.size(); i++){
											CostBean oneBean = costBeans.get(i);
											%>
											<input type="hidden" name="<%=oneBean.getCompleteId() %>" value="<%= oneBean.getDefaultValue() %>">	
											<%
										}
										%>
										<INPUT type="submit" class="btn btn-submit" name="proceedButton" id="proceedButton"  title="<%= title %>" value="<%=caption %>" />
										<input type="hidden" name="iq4x" value="<%=request.getAttribute("iq4x") %>" >
										<input type="hidden" name="sn4x" value="<%=request.getAttribute("sn4x")  %>" >
										<input type="hidden" name="f2" value="<%=request.getAttribute("f2") %>" >
										<input type="hidden" name="rw4x" value="1">
									</form>
									<%
									}else{
										%>
										
										<form action="http://web.synametrics.com/XeamsPurchase.htm" method="Post">	
											
											<INPUT type="submit" class="btn btn-submit" name="proceedButton" id="proceedButton"  <%= title %> value="<%=caption %>" />
											<input type="hidden" name="iq4x" value="<%=request.getAttribute("iq4x") %>" >
											<input type="hidden" name="sn4x" value="<%=request.getAttribute("sn4x")  %>" >
											<input type="hidden" name="f2" value="<%=request.getAttribute("f2") %>" >
										</form>
										<%
									}
								}else{
									%>
									<a href="<%=response.encodeURL("FrontController?operation=buy") %>"><button class="btn btn-submit" <%= title %>><%=caption %></button></a>
									<%
								}
								%>
								</td>
							</tr>
							<%
						}else{
							%>
							<tr>
								<td><b>Support Purchased:</b></td>
								<td><%=supportPurchased %></td>
							</tr>
							<tr>
								<td><b>Support Expiration Date:</b></td>
								<td><%=supportExpirationDate %></td>
							</tr>
							<%
						}
						%>
					</table>
				</div>
				<div class="text-center">
					&copy; Copyright <%= companyName %> All rights reserved.<br>
					<a href="http://www.<%= domainName %>"> http://www.<%= domainName %> </a> |
					<a href="http://www.synametrics.com">http://www.synametrics.com</a>
					
				</div><br>
			</div>
		</div>
		<br>
	</div>
	
	<div class="col-md-5">
		<div class="well-info-wrap">
		<%@ include file="DisplayGC.jsp" %>
		</div>
		
		<h3 class="text-center">
			Need Help? &nbsp; &nbsp;
			<A href="<%= response.encodeURL("FrontController?operation=166") %>" class="btn btn-md btn-menu" title="Contact Support via Email">Click Here</A>
		</h3>
	</div>
	
	<br style="clear:both;">
	<div class="col-md-12">
		<div class="well-info-wrap">
		<%@ include file="DisplayEnv.jsp" %>
		</div>
	</div>
</div>

<%@ include file="SecondPageFooter.jsp" %>
<%@ include file="PageFooter.jsp" %>
