<%@ page import="com.synametrics.xeams.bean.*, com.synametrics.xeams.config.*" %>
<%@ page import="java.util.*" %>




<%@ include file="PageHeader.jsp" %>
<%@ include file="SecondPageHeader.jsp" %>

<h1>
Subject Filters
</h1>
<a href="<%=response.encodeURL("FrontController?operation=11&type=subject") %>" class="btn btn-sm btn-menu pull-right"><span class="glyphicon glyphicon-plus"></span> New Subject Filter</a>

<br style="clear:both;"><br>
<div class="table-responsive">
	<table class="table table-striped table-hover table-bordered table-condensed">

	<tr class="well-info-header">
		<th>Search for</font></th>
		<th>Operator</font></th>
		<th>Match case</font></th>
		<th>Weight</font></th>
		<th>Action</font></th>
	</tr>

	<%
	List<ContentFilterBean> filters = (List<ContentFilterBean>)request.getAttribute("FilterList");


	if(filters.size() == 0){
	%>
	<h3>No filters are specified for this type</h3>
	<%
	}
	for(int i = 0; i < filters.size(); i++){

		ContentFilterBean oneFilter = filters.get(i);

	%>

	<tr>
	<td><%=oneFilter.getValue()%></td>
	<td><%=oneFilter.getOperatorString()%></td>
	<td><%=oneFilter.isMatchCase()%></td>
	<td><%=oneFilter.getWeight()%></td>
	<td><a href="<%=response.encodeURL("FrontController?operation=10&type=subject") %>&index=<%=i%>">Edit</a> | <a href="<%=response.encodeURL("FrontController?operation=14&type=subject") %>&index=<%=i%>">Delete</a></td>
	</tr>

	<%

	}
	%>

	</table>
</div>

<a href="<%=response.encodeURL("FrontController?operation=11&type=subject") %>" class="btn btn-sm btn-menu pull-right"><span class="glyphicon glyphicon-plus"></span> New Subject Filter</a>

<%@ include file="SecondPageFooter.jsp" %>
<%@ include file="PageFooter.jsp" %>
