<%@ page import="com.synametrics.xeams.bean.*" %>
<%@ page import="java.util.*" %>

<%
	List sideButtons = new ArrayList(5);
	sideButtons.add(new UrlAnchorHolder("Manage Messages", "current", true));

	
//Variables for FAQ
boolean showFAQ = true;
List faqLinks = new ArrayList(3);
FAQHandler.getInstance().displayFAQ(faqLinks, "MessageRepository");
%>


<%@ include file="CommonButtons.jsp" %>
<%@ include file="NewPageHeader.jsp" %>

<script type="text/javascript" src="<%= imagePath %>calendar.js"></SCRIPT>


<%
String totalGoodFiles = (String)request.getAttribute("TotalGoodFiles");
String totalPossibleFiles = (String)request.getAttribute("TotalPossibleFiles");
String totalDeletedFiles = (String)request.getAttribute("TotalDeletedFiles");
String todayMinusThree = (String)request.getAttribute("TodayMinusThree");


%>

<%@ include file="CurrentProfileName.jsp" %>
<%@ include file="LicenseWarning.jsp" %>

<h1>Message Search</h1>
<br>
<div class="well text-center">
	This page can be used to view quarantined e-mails. Every Message whose overall score
	is less than the deletion threshold is stored in a directory on the server machine.
</div>

<div class="row">
	<div class="col-md-6">
		<%
			String infoMessage = (String)request.getAttribute("InfoMessage");
			if(infoMessage != null){
				out.print(infoMessage);
			}
		%>
		
		<div class="well-info-wrap table-responsive">
			<table class="table table-striped table-bordered">
				<tr class="text-center well-info-header">
					<td><b>Message Type</b></td>
					<td><b>Total Count</b></td>
				</tr>
				<tr>
					<td><a href="<%=response.encodeURL("FrontController?operation=23&msgType=deleted") %>">Junk Message</a></td>
					<td><%=totalDeletedFiles%></td>
				</tr>
				<tr>
					<td><a href="<%=response.encodeURL("FrontController?operation=23&msgType=possible") %>">Possible Junk</a></td>
					<td><%=totalPossibleFiles%></td>
				</tr>
				<tr>
					<td><a href="<%=response.encodeURL("FrontController?operation=23&msgType=good") %>">Good Messages</a></td>
					<td><%=totalGoodFiles%></td>
				</tr>
			</table>
		</div>
	</div>

	<div class="col-md-6">
		<div class="well-info-wrap">
			<div class="well-info-header">Search Criteria</div>
			<div class="well-info-body">
				<form action="<%= request.getAttribute("appPath") %>" method="post">
					<div class="row">
						<div class="col-md-6 col-xs-12">
							<b>Message type:</b>
							<select class="form-control" name="msgType">
								<option value="alltypes">All Types
								<option value="deleted">Junk Messages
								<option value="possible">Possible Junk Messages
								<option value="good">Good Messages
							</select>
						</div>
						
						<br class="hide_lg" style="clear:both;"><br class="hide_lg">
						<div class="col-md-6 col-xs-12">
							<b>Number of Days to Search For:</b>
							<span class="form-control pull-left form-left" style="width:85%; overflow-x:hidden;"><b style="color:#aaa;">Number of Days to Search For</b></span>
							<input class="form-control pull-right form-right" type="text" name="txtNumDays" value="4" size="5" style="width:15%;">
						</div>
					</div>
					
					<br style="clear:both;">
					<div class="row">
						<div class="col-md-6 col-xs-12">
							<b>Starting date:</b>
							<script type="text/javascript">DateInput('txtFileDate', true, 'YYYYMMDD', '<%=todayMinusThree%>')</script>
						</div>
						
						<br class="hide_lg" style="clear:both;"><br class="hide_lg">
						<div class="col-md-6 col-xs-12">
							<b>Search Field:</b>
							<select class="form-control" name="searchBy">
								<option value="senderOrRecipient" selected="selected">Sender or Recipient's Email</option>
								<option value="content">Subject or Body</option>
								<option value="recipient">Recipient's Email</option>
								<option value="sender">Sender's Email</option>
								<option value="senderip">Sender's IP</option>
								<option value="score">Score</option>
								<option value="filename">File Name</option>
								<option value="lcid">Message ID</option>
							</select>
						</div>
					</div>
				
					<br style="clear:both;">
					<b>Search For:</b>
					<input class="form-control" type="text" name="txtSearchFor" value="" size="25">
					<br style="clear:both;">
					<button class="btn btn-sm btn-submit pull-right" type="submit">Search</button>
					<input type="hidden" name="operation" value="23">
				</form>
				<br style="clear:both;">
			</div>
		</div>
	</div>
</div>

<%@ include file="NewPageFooter.jsp" %>
