<%@ include file="PageHeader.jsp" %>
<%@ include file="SecondPageHeader.jsp" %>

<script type="text/javascript" src="<%= imagePath %>calendar.js"></SCRIPT>

<%
String totalGood = (String)request.getAttribute("GoodCount");
String totalSpam = (String)request.getAttribute("SpamCount");
String totalPossible = (String)request.getAttribute("PossibleCount");
String dataCollectedSince = (String)request.getAttribute("dataCollectedSince");
String todayMinusThree = (String)request.getAttribute("TodayMinusThree");
%>

<div class="row">
	<div class="col-md-3">
		<img src="ImageController?operation=1&totalGood=<%=totalGood%>&totalSpam=<%=totalSpam%>&totalPossible=<%=totalPossible%>" style="width:100%;">
	</div>
	
	<div class="col-md-9">
		<br style="clear:both;"><br>
		<div class="well-info-wrap">
			<table class="table table-striped table-bordered table-hover">
				<tr class="well-info-header"><td colspan="2">Data collected since: <%=dataCollectedSince%></td></tr>
				<tr><td><b>Total <a href="<%=response.encodeURL("FrontController?operation=511") %>">Good Messages</a> </b></td><td><%=totalGood%></td></tr>
				<tr><td><b>Total <a href="<%=response.encodeURL("FrontController?operation=512") %>">Possible Spam Messages</a> </b></td><td><%=totalPossible%></td></tr>
				<tr><td><b>Total <a href="<%=response.encodeURL("FrontController?operation=510") %>">Spam Messages</a> </b></td><td><%=totalSpam%></td></tr>
			</table>
		</div>
		
		<a href="<%=response.encodeURL("FrontController?operation=103") %>"><button class="btn btn-sm btn-menu pull-right" type="submit">Manage White/Black List</button></a>
		<%
		if(com.synametrics.xeams.config.AppConfig.getInstance().isAllowEmailAssociationByUsers() && request.getAttribute("allowUserToAssociate") != null ){
		%>
		<a href="<%=response.encodeURL("FrontController?operation=520") %>"><button class="btn btn-sm btn-menu pull-left" type="submit">Manage Associated Emails List</button></a>
		<%
		}
		%>
		</table>
	
		<br style="clear:both;"><br>
		<div class="well-info-wrap">
			<div class="well-info-header">Search Messages</div>
			<div class="well-info-body">
				<form action="<%= request.getAttribute("appPath") %>" method="post">
					<br style="clear:both;">
					<span class="form-control form-left form-text pull-left wth-5">Message Type</span>
					<select class="form-control form-right pull-left wth-5" name="msgType">
						<option value="alltypes">All Types</option>
						<option value="deleted">Junk Messages</option>
						<option value="possible">Possible Junk Messages</option>
						<option value="good">Good Messages</option>
					</select>
					
					<div class="row">
						<div class="col-md-6">
							<br style="clear:both;">
							<span class="form-control form-left form-text pull-left wth-5">Number of Days to Search For</span>
							<input class="form-control form-right pull-left wth-5 text-center" type="text" name="txtNumDays" value="4">
						</div>
						
						<div class="col-md-6">
							<b>Starting date:</b>
							<script type="text/javascript">DateInput('txtFileDate', true, 'YYYYMMDD', '<%=todayMinusThree%>')</script>
						</div>
					</div>
					
					<br style="clear:both;">
					<span class="form-control form-left form-text pull-left wth-5">Search Field</span>
					<select class="form-control form-right pull-left wth-5" name="searchBy">
						<option value="senderOrRecipient" selected="selected">Sender or Recipient's Email</option>
						<option value="content">Subject or Body</option>
					</select>
					
					<br style="clear:both;"><br>
					<span class="form-control form-left form-text pull-left wth-5">Search For</span>
					<input class="form-control form-right pull-left wth-5" type="text" name="txtSearchFor" value="">
					
					<br style="clear:both;">
					<button class="btn btn-sm btn-submit pull-right" type="submit">Search</button>
					<input type="hidden" name="operation" value="523">
					<br style="clear:both;">
				</form>
			</div>
		</div>
	</div>
</div>

<%@ include file="SecondPageFooter.jsp" %>
<%@ include file="PageFooter.jsp" %>
