<%@ page import="com.synametrics.xeams.bean.*, com.synametrics.xeams.config.*" %>
<%@ page import="java.util.*" %>

<%
List sideButtons = new ArrayList(5);
sideButtons.add(new UrlAnchorHolder("Initial Setup", "current", true));



//Variables for FAQ
boolean showFAQ = true;
List faqLinks = new ArrayList(3);
//faqLinks.add(new UrlAnchorHolder("Why do I need to specify a valid admin email address?", "http://www.somewhere.com", false));
//faqLinks.add(new UrlAnchorHolder("What happens if I forget my password?", "http://www.somewhere.com", false));

FAQHandler.getInstance().displayFAQ(faqLinks, "Setup1");

%>
<%@ include file="NewPageHeader.jsp" %>

<div class="row">
	<div class="col-md-1 col-xs-1 text-center">
		<br><br><br><br><br>
		<span class="initial glyphicon glyphicon-record" style="color:#8fbb91;" title="Admin Email &amp; Password"></span>
		<br><br>
			<span class="glyphicon glyphicon-option-vertical" style="color:#c76c64;"></span>
		<br><br>
		
		<span class="initial glyphicon glyphicon-minus-sign" style="opacity:0.5;" title="Select Server Type"></span>
		<br><br>
			<span class="glyphicon glyphicon-option-vertical"></span>
		<br><br>
		
		<span class="initial glyphicon glyphicon-minus-sign" style="opacity:0.5;" title="Corporate Email Server"></span>
		<br><br>
			<span class="glyphicon glyphicon-option-vertical"></span>
		<br><br>
		
		<span class="initial glyphicon glyphicon-minus-sign" style="opacity:0.5;" title="Domain Configuration"></span>
		<br><br>
			<span class="glyphicon glyphicon-option-vertical"></span>
		<br><br>
		
		<span class="initial glyphicon glyphicon-minus-sign" style="opacity:0.5;" title="Complete Setup"></span>
		<br><br>
			<span class="glyphicon glyphicon-option-vertical"></span>
		<br><br>
		
		<span class="initial glyphicon glyphicon-minus-sign" style="opacity:0.5;" title="Connect to Admin Console"></span>
		
		<br><br>
	</div>
	
	<div class="col-md-10 col-xs-11">
		<h1>Administrator Email &amp; Password <small class="pull-right">Initial Setup Wizard</small></h1>
		<br>
		<div class="well">
			Welcome to Xeams Initial Setup Wizard! The following screens will help you setup <%=productName %> in just a few minutes. Follow the instructions
			on the screen and click next until the wizard gets enough information about your environment.
		</div>

		<div class="row">
			<div class="col-md-8">
				<%
				String errorMessage = (String)request.getAttribute("errorMessage");
				if(errorMessage != null && errorMessage.length() > 0){
					out.println("<div class=\"alert alert-danger text-center\">ERROR: " + errorMessage + "</div>");
				}

				%>
				<form action="<%= request.getAttribute("appPath") %>" method="post">
					<br style="clear:both;">
					<div class="btn btn-info form-control pull-left form-left wth-1" onclick="more_info('adminEmail')"><b>?</b></div>
					<span class="form-control form-middle form-text pull-left wth-4">Administrator's Email</span>
					<input class="form-control form-right pull-left wth-5" name="txtAdminEmail" type="text">

					<br style="clear:both;">
					<div class="alert alert-info more_info" id="adminEmail">
						Often <%=productName %> sends emails containing important information about the server. Those emails are sent to
						this email address. It is very <b>important</b> that you specify this value correctly and check messages sent to this
						address.
					</div>
					
					<br style="clear:both;">
					<div class="btn btn-info form-control pull-left form-left wth-1" onclick="more_info('loginID')"><b>?</b></div>
					<span class="form-control form-middle form-text pull-left wth-4">Login ID</span>
					<input class="form-control form-right pull-left wth-5 text-center" name="txtUID" type="text" readonly="readonly" value="admin">

					<br style="clear:both;">
					<div class="alert alert-info more_info" id="loginID">
						This value will be used to login to this Administration console for <%=productName %>.	This is a read-only field.			
					</div>
					
					<br style="clear:both;">
					<div class="btn btn-info form-control pull-left form-left wth-1" onclick="more_info('adminPwd')"><b>?</b></div>
					<span class="form-control form-middle form-text pull-left wth-4">Create a Password</span>
					<input class="form-control form-right pull-left wth-5" name="txtPWD" type="password">

					<br style="clear:both;">
					<div class="alert alert-info more_info" id="adminPwd">
						This value will be used to login to this Administration console for <%=productName %>.
					</div>
					
					<br>
					<button class="btn btn-sm btn-submit pull-right" type="submit">Next</button>
					<input type="hidden" value="setup" name="operation">
					<input type="hidden" value="saveauth" name="step">
					<br style="clear:both;">
				</form>
			</div>
			
			<div class="col-md-4">
				<br>
				<div class="well-info-wrap">
					<div class="well-info-header">Here's a Tip!</div>
					<div class="well-info-body">
						Click the <div class="btn btn-info form-control wth-1"><b>?</b></div> buttons to display some useful information about the parameter it is attached to. These buttons can be found throughout the Xeams interface to help assist you as you configure your server.
						<br><br><br>
					</div>
				</div>
			</div>	
		</div>
	</div>
</div>

<%@ include file="NewPageFooter.jsp" %>
