<%@ page import="com.synametrics.xeams.bean.*, com.synametrics.xeams.config.*" %>
<%@ page import="java.util.*" %>

<%@ include file="PageHeader.jsp" %>
<%@ include file="SecondPageHeader.jsp" %>



<!-- 
Product name: <%= productName %>

URL Encoding:
<%=response.encodeURL("FrontController?operation=10&type=subject") %>
 -->

<h1>SynaMan <small>Send/receive large emails</small></h1>
<br>






<div class="row">
	<div class="col-md-4">
		<div class="well">
		You can send/receive large attachments through when Xeams is integrated with SynaMan. 
		<a href="http://www.xeams.com/Large-Attachments.htm">Click here</a> for more information
		</div>
	</div>
	<div class="col-md-8">
		<form action="<%= request.getAttribute("appPath") %>" method="post">

			<!-- ******* Create Text Input Field ******* -->
			<br style="clear:both;">
			<div class="btn btn-info form-control pull-left form-left wth-1" onclick="more_info('ID_OF_INFO_BOX')"><b>?</b></div>
			<span class="form-control form-middle form-text pull-left wth-4">Host Name/IP Address</span>
			<input class="form-control form-right pull-left wth-5" type="text" name="shv" 
			value="<%= request.getAttribute("shv") == null ? "" : request.getAttribute("shv") %>" >
			
			<br style="clear:both;">
			<div class="alert alert-info more_info" id="ID_OF_INFO_BOX">
				Host name or IP address where SynaMan is running.
			</div>
			
			<!-- ******* Save Button | default is pulled right ******* -->
			<button class="btn btn-submit pull-right" type="submit">Save</button>
			
			<input type="hidden" name="operation" value="220">
		</form>
		
	</div>
</div>



Following pre-requisites are required in order for this to work:
<ul>
	<li>You must be using the Enterprise Edition of <a href="http://synaman.com" target="_blank">SynaMan</a></li>
	<li>If SynaMan is installed on a different machine, you will need to add the IP address of the machine where Xeams is running. This steps
	is not required if both Xeams and SynaMan are running on the same machine. </li>
</ul>

<h3>How it work</h3>
<ul>
	<li>When a large email is received, Xeams will forward that message to SynaMan</li>
	<li>SynaMan will detach the large file(s) and send the remainder of the email back to Xeams. </li>
	<li>This returned email message will not have any attachments but will have a download link towards the bottom</li>
	<li>Recipient will be able to download the large files from SynaMan's web interface.</li>
</ul>




<%@ include file="SecondPageFooter.jsp" %>
<%@ include file="PageFooter.jsp" %>
