<%@ page import="com.synametrics.xeams.bean.*, com.synametrics.xeams.config.*" %>
<%@ page import="java.util.*" %>
<%@ page import="java.text.DecimalFormat" %>

 
<% 

	List sideButtons = new ArrayList(5);
	sideButtons.add(new UrlAnchorHolder("Weekly Report", "current", true));

	
//Variables for FAQ
boolean showFAQ = true;
List faqLinks = new ArrayList(3);
com.synametrics.xeams.bean.FAQHandler.getInstance().displayFAQ(faqLinks, "Reports");
%>


<%@ include file="CommonButtons.jsp" %>
<%@ include file="NewPageHeader.jsp" %>

<%
ArrayList theReport = (ArrayList)request.getAttribute("TheReport");
if(theReport == null){
    out.println("<h1>Internal error occurred. The report object is null<h1>");
    return;
}

%>


<!-- Email time report-->

<p>
<%
 DecimalFormat df = new DecimalFormat("0.00");
 Calendar calendar = GregorianCalendar.getInstance();
 String sortOrder = request.getParameter("sortOrder");
%>

<h1>Weekly Activity Report</h1>
<br>
<div class="well text-center">This report shows in-bound and out-bound email messages for the past 7 days.</div>

<div class="row">
	<div class="col-md-6">
		<img src="ImageController?operation=5<% if(sortOrder != null) out.write("&sortOrder=" +  sortOrder);%>" style="width:100%;">
	</div>
	
	<div class="col-md-6">			
		<br style="clear:both;"><br>
		<form name="form2" method="post" action="<%= request.getAttribute("appPath") %>">

		<select class="form-control form-left wth-7" name="sortOrder">
			<option value="1">Sort Graph by</option>
			<option value="1" <% if(sortOrder != null) if(sortOrder.trim().equalsIgnoreCase("1")) out.write(" selected ");%> >Date</option>
			<option value="5" <% if(sortOrder != null) if(sortOrder.trim().equalsIgnoreCase("5")) out.write(" selected ");%> >Total Count</option>
			<option value="2" <% if(sortOrder != null) if(sortOrder.trim().equalsIgnoreCase("2")) out.write(" selected ");%> >Spam Count</option>
			<option value="3" <% if(sortOrder != null) if(sortOrder.trim().equalsIgnoreCase("3")) out.write(" selected ");%> >Possible Spam Count</option>
			<option value="4" <% if(sortOrder != null) if(sortOrder.trim().equalsIgnoreCase("4")) out.write(" selected ");%> >Good Count</option>
		</select>
		<input type="hidden" name="operation" value="32">
		<input class="form-control form-right wth-3 btn-menu" type="submit" name="Submit" value="Generate Report">
		</form>
		
		<br style="clear:both;"><br>
		<div class="table-responsive">
			<table class="table table-striped table-bordered table-hover table-condensed">
				<tr class="well-info-header">
					<th> Day</th>
					<th>Total</th>
					<th>Junk count</th>
					<th>Possible junk</th>
					<th>Good count</th>
					<th>% - Spam</th>
				</tr>
				
				<%@ include file="HistoricCountHolderDataTable.jsp" %>
			</table>
		</div>
	</div>
</div>

<br style="clear:both;">
<h3>Your Savings</h3>
<div class="alert alert-info">
<%@ include file="MarketingSummary.jsp" %>
</div>

<%@ include file="NewPageFooter.jsp" %>

