<%@ page import="com.synametrics.xeams.bean.*, com.synametrics.xeams.config.*" %>
<%@ page import="java.util.*" %>

<%@ include file="PageHeader.jsp" %>
<%@ include file="SecondPageHeader.jsp" %>

<!-- 
NOTE: Use <%= request.getAttribute("appPath") %> for the action parameter in a form.
NOTE: Use <%= response.encodeURL("FrontController?operation=XXX") %> for URLs
 -->

<style>
	input[type=checkbox]{
		visibility:visible;
	}
</style> 
 
<h1>Creating users from Active Directory</h1>
<br>
<div class="well">
	Select the users you wish to create from the selected list. You will only see the users that currently do not already exist in the system.
</div>

<div class="row">
	<div class="col-md-4">
		<div class="well-info-wrap">
			<div class="well-info-header">IMPORTANT!</div>
			<div class="well-info-body">
				Every user has a parameter called <b>Server's Host Name</b>. The value for this parameter is retrieved from the URL, which is 
				currently set to <code><%=request.isSecure() ? "https" : "http" %>://<%= request.getHeader("host") %></code>. If you do not want this value to be used
				for the Server's host name, try connecting from a machine where the host name in the URL matches with what you need.
			</div>
		</div>
	</div>
	
	<br class="hide_lg">
	<div class="col-md-8">
		<form action="<%= request.getAttribute("appPath") %>">
		
		<div class="well-info-wrap">
			<div class="well-info-header">Available Users from AD</div>
			<div class="well-info-body no-padding">
				<table class="table table-striped table-condensed">
				<%
				List<String> newUserId = (List<String>) request.getAttribute("newUserId");
				for(int i = 0; i < newUserId.size(); i++){
					%>
					<tr>
						<td><input class="pull-right" type="checkbox" name="chk_<%= newUserId.get(i)%>" checked="checked" value="1"></td>
						<td><%= newUserId.get(i)%></td>
					</tr>		
					<%
				}
				%>
				</table>
			</div>
		</div>
		<br style="clear:both;">
		<input type="hidden" name="operation" value="204">
		<button class="btn btn-sm btn-submit pull-right" type="submit">Save</button>	 
		</form>
	</div>
</div>

<%@ include file="SecondPageFooter.jsp" %>
<%@ include file="PageFooter.jsp" %>
