<%@ page import="com.synametrics.xeams.bean.*, com.synametrics.xeams.config.*" %>
<%@ page import="java.util.*" %>
<%

	List sideButtons = new ArrayList(5);
	sideButtons.add(new UrlAnchorHolder("Reports", "current", true));

	
//Variables for FAQ
boolean showFAQ = true;
List faqLinks = new ArrayList(3);
FAQHandler.getInstance().displayFAQ(faqLinks, "Reports");
%>


<%@ include file="CommonButtons.jsp" %>
<%@ include file="NewPageHeader.jsp" %>

<%@ include file="CurrentProfileName.jsp" %>
<%@ include file="LicenseWarning.jsp" %>

<a name="topPage"></a>

<%

String reportPeriod = (String)request.getAttribute("ReportPeriod");
String totalGood = (String)request.getAttribute("GoodCount");
String totalSpam = (String)request.getAttribute("SpamCount");
String totalPossible = (String)request.getAttribute("PossibleCount");
String runningFor = (String)request.getAttribute("RunningFor");
String dataSince = (String)request.getAttribute("DataSince");


%>

<h1><%=reportPeriod%></h1>
<br>

<div class="row">
	<div class="col-md-3">
		<img src="ImageController?operation=1&totalGood=<%=totalGood%>&totalSpam=<%=totalSpam%>&totalPossible=<%=totalPossible%>" style="width:100%;">
	</div>
	
	<div class="col-md-9">
		<br><br><br>
		<div class="well-info-wrap">
			<div class="well-info-header">Server Statistics</div>
			<div class="well-info-body no-padding">
				<table class="table table-striped table-bordered table-hover">
					<tr><td><b>Server running for: </td><td><%=runningFor%></td></tr>
					<tr><td><b>Data collected for: </td><td><%=dataSince%></td></tr>
					<tr><td><b>Total Normal Messages: </td><td><%=totalGood%></td></tr>
					<tr><td><b>Total Possible Spam Messages: </td><td><%=totalPossible%></td></tr>
					<tr><td><b>Total Spam Messages: </td><td><%=totalSpam%></td></tr>
				</table>
			</div>
		</div>
	</div>
</div>

<br>
<div class="well-info-wrap">
	<div class="well-info-header">Other Reports</div>
	<div class="well-info-body no-padding">
		<div class="well-info-additional"><%=productName %> comes with many standard reports. The following table lists these reports and their description.</div>
		<table class="table table-striped table-bordered">

			<tr>
				<td><a href="<%=response.encodeURL("FrontController?operation=52") %>">Daily Activity Report</a></td>
				<td>This report display the number of in-bound and out-bound emails processed today. It contains a bar chart with hourly data.</td>
			</tr>
			
			<!-- RECORD BOUNDARY -->
			<tr>
				<td><a href="<%=response.encodeURL("FrontController?operation=32") %>">Weekly Activity Report</a></td>
				<td>This report maps the number of in-bound and out-bound emails processed from

				<b>
		<%
				Calendar calendar = GregorianCalendar.getInstance();
				calendar.add(Calendar.DATE, -6);
				out.write(ResourceBean.formatDateOnly(calendar.getTimeInMillis()));
		%></b> to <b><%=ResourceBean.formatDateOnly(System.currentTimeMillis())%></b>

					. It contains a bar chart where each
				bar represents data for one day.</td>
			</tr>

			<!-- RECORD BOUNDARY -->
			<tr>
				<td><a href="<%=response.encodeURL("FrontController?operation=33") %>">Monthly Activity Report</a></td>
				<td>This report maps the number of in-bound and out-bound emails processed for the month of
					<b><%=ReportCommons.getMonthName(calendar.get(Calendar.MONTH), true)%></b>. It contains a bar chart where each
				bar represents data for one day.</td>
			</tr>

			<!-- RECORD BOUNDARY -->
			<tr>
				<td><a href="<%=response.encodeURL("FrontController?operation=34") %>">Yearly Activity Report</a></td>
				<td>This report maps the number of in-bound and out-bound emails processed for the current year. It contains a bar chart where each
				bar represents data for one month.</td>
			</tr>


			<!-- RECORD BOUNDARY -->
			<tr>
				<td><a href="<%=response.encodeURL("FrontController?operation=35&type=1") %>">Top Senders by IP address</a></td>
				<td>This report displays emails received from different IP addresses sorted by most active servers. You can use this report to
				either white list or black list an IP address.</td>
			</tr>

			<!-- RECORD BOUNDARY -->	
			<tr>
				<td><a href="<%=response.encodeURL("FrontController?operation=30") %>">Top Receipients</a></td>
				<td>This report displays email addresses within your domain who have received most email messages.</td>
			</tr>

			<!-- RECORD BOUNDARY -->
			<tr>
				<td><a href="<%=response.encodeURL("FrontController?operation=20&type=custom") %>">Custom Rules Usage</a></td>
				<td>The custom rules in <%=productName %> are very powerful and typically play a significant role in deciding the fate
				of an email. This report shows which custom rules have been very active and emails affected by these rules.</td>
			</tr>
		</table>
	</div>
</div>

<%@ include file="NewPageFooter.jsp" %>