<%@ page import="com.synametrics.xeams.bean.*, com.synametrics.xeams.config.*" %>
<%@ page import="java.util.*" %>


<%

	List sideButtons = new ArrayList(5);
	sideButtons.add(new UrlAnchorHolder("Contact Support", "current", true));
	
	//Variables for FAQ
	boolean showFAQ = true;
	List faqLinks = new ArrayList(3);
	FAQHandler.getInstance().displayFAQ(faqLinks, "Support");
%>


<%@ include file="CommonButtons.jsp" %>
<%@ include file="NewPageHeader.jsp" %>

<form action="<%= request.getAttribute("appPath") %>" method="post">
	<div class="row">	
		<div class="col-md-7">
			<h1>Contact Via Email</h1>

			<%
			String errorMsg = (String)request.getAttribute("errorMsg");
			if(errorMsg != null && errorMsg.length() > 0){
				out.println("<div class=\"errorBox\">ERROR: " + errorMsg + "</div>");		 
			}

			String infoMessage = (String)request.getAttribute("infoMessage");
			if(infoMessage != null && infoMessage.length() > 0){
				out.println("<div class=\"infoMessage\">" + infoMessage + "</div>");		 
			}
			%>
			<br style="clear:both;">
			<span class="form-control form-left form-text pull-left wth-5">Your Name</span>
			<input class="form-control form-right pull-left wth-5" type="text" size="30" name="adminName" value="<%=request.getAttribute("adminName") == null ? "" : request.getAttribute("adminName") %>">
			
			<br style="clear:both;"><br>
			<span class="form-control form-left form-text pull-left wth-5">Your Email</span>
			<input class="form-control form-right pull-left wth-5" type="text" size="30" name="adminEmail" value="<%=request.getAttribute("adminEmail") == null ? "" : request.getAttribute("adminEmail") %>">

			<br style="clear:both;"><br>
			<span class="form-control form-left form-text pull-left wth-5">Contact Number</span>
			<input class="form-control form-right pull-left wth-5" type="text" size="30" name="adminPhone" value="<%=request.getAttribute("adminPhone") == null ? "" : request.getAttribute("adminPhone") %>">
			
			<br style="clear:both;"><br>
			<span class="form-control form-text form-left pull-left wth-9">Include log files</span>
			<span class="chkbox-cust form-control form-right pull-left wth-1">
				<input id="chk-logs" type="checkbox" name="includeLogs" title="Check here to attach log files from your server">
				<label for="chk-logs"></label>
			</span>
			
			<br style="clear:both;"><br>
			<span class="form-control form-left form-text pull-left wth-5">Message Subject</span>
			<input class="form-control form-right pull-left wth-5" type="text" size="80" name="msgSubject" value="<%=request.getAttribute("msgSubject") == null ? "" : request.getAttribute("msgSubject") %>">
			
			<br style="clear:both;"><br>
			<div class="well-info-wrap">
				<div class="well-info-header">Message Body</div>
				<div class="well-info-body no-padding">
					<textarea style="width:100%;" rows="20" name="msgBody"><%=request.getAttribute("msgBody") == null ? "" : request.getAttribute("msgBody") %></textarea>
				</div>
			</div>
			
			<br style="clear:both;">
			<button class="btn btn-sm btn-submit pull-right" type="submit">Send</button>
			<br style="clear:both;">
		</div>
		<div class="col-md-5">
			<h1>Contact Via Phone</h1>
			
			<br>
			<div class="alert alert-warning">
				<strong>IMPORTANT:</strong>
				It is highly recommended that you initiate the support request using email. This will give our support department 
				an heads up regarding your environment.

				<br><br>
				Refer to <a href="http://www.xeams.com/Contact.htm">our contact</a> page for our phone number for support. 
			</div>
		</div>
	</div>
	<input type="hidden" name="operation" value="167" >
</form>

<%@ include file="NewPageFooter.jsp" %>
